/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Miltec Digital GeneratePress child theme
 Author:       CB
 Author URI:   https://miltecdigital.co.uk
 Template:     generatepress
 Version:      0.1
*/

/* Set the main content area to a minimum of 65vh */
#main {
	min-height: 65vh;
}
html{scroll-behavior: smooth;}

body {
	background-color: var(--outside-container);
	
}

/* Site Wrapper to set overall site max width */
.site-wrapper {
	width: 100%;
	max-width: 1900px;
	background-color: var(--body);
} 

body {
	background-color: var(--outside-container);
}


/* HELPER CLASSES */

/* Standard Shadow(s) */

.shadow-standard {
	box-shadow: 0px 5px 16px -5px rgba(33, 33, 33, 0.2);
	transition: all .2s ease-in;
}

.shadow-standard:hover {
	box-shadow: 0px 8px 32px 0px rgba(33, 33, 33, 0.1);
}

/* Max Width(s) */

.max-width-1024 {
	max-width: 1024px;
}


.max-width-768 {
	max-width: 768px;
}

.max-width-640 {
	max-width: 640px;
}

.max-width-480 {
	max-width: 480px;
}

/* Margin Auto */

.margin-auto{
	margin-left: auto;
	margin-right: auto;
}

/* Position Properties */

.relative{
	position: relative;
}

.absolute{
	position:absolute;
	top: 0px;
	left: 0px;
}

.sticky{
	position: sticky;
	top: 24px;
}

/* Image Aspect Ratios */

.aspect-1-1 img{
    aspect-ratio: 1/1;
	object-fit: cover;
}

.aspect-3-2 img{
    aspect-ratio: 3/2;
	object-fit: cover;
}

.aspect-2-3 img{
    aspect-ratio: 2/3;
	object-fit: cover;
}

.aspect-4-3 img{
    aspect-ratio: 4/3;
	object-fit: cover;
}

.aspect-3-4 img{
    aspect-ratio: 3/4;
	object-fit: cover;
}

.aspect-16-9 img{
    aspect-ratio: 16/9;
	object-fit: cover;
}

.aspect-9-16 img{
    aspect-ratio: 9/16;
	object-fit: cover;
}


.wp-block-navigation-link a { 
	margin: 0 15px;
}

.grid-container {
	max-width:unset;

}
.nav-float-right #site-navigation
{
  margin-left: auto;
  margin-right: unset;
}

.nav-align-right .inside-navigation
{
  max-width: 1400px;
	padding-right: 2rem !important;
  padding-left: 2rem !important;
}

@media (max-width: 480px) {
.nav-align-right .inside-navigation
{
	padding-right: 1rem !important;
  padding-left: 1rem !important;
}
}

.navigation-branding
{
  width: 300px;
	padding: 0px 0 5px;
}

.navigation-branding .site-logo
{
  padding: 0%;
	margin-bottom: 0;
}

.navigation-branding .site-logo img
{
  height: auto;
  width: 100%;
max-width: 300px;
	padding-top: 0;
}

@media (max-width: 1000px) {
.navigation-branding .site-logo img
{
  height: auto;
  width: 100%;

}
}


@media (max-width: 768px) {
.navigation-branding .site-logo img
{
  height: auto;
  width: 100%;

}
}

@media (max-width: 480px) {
.navigation-branding .site-logo img
{
  height: auto;
  width: 100%;
max-width: 200px;
}
}

span.mobile-menu {
	display:none;
}

.gb-grid-wrapper {
	width: 100%;
	
}

.gb-block-image {
	line-height:0;
}

.fluentform .ff_t_c {
	font-family: lato;
	color: #ffffff;
}

.ff-default .ff_btn_style {
font-family: lato;
	font-size: 18px;
}

@media (max-width: 1024px) {
  .watermark {
    background-size: 700px auto !important;
	  background-position: 0px -100px !important;
  }
}

.no-sidebar .entry-content .alignfull {
	margin-left: auto !important;
	margin-right: auto !important;
}

.links a {
	text-decoration:none !important;
}

.gb-container-583f8166 a  {
	text-decoration:none !important;
}

a.gb-button,
a.gb-button:hover {
	color: #ffffff;
}

body.page-id-1777 .gb-container-45377779 .fluentform .ff_t_c {
	color: #3c3c3c;
}

.header-contact-row {
    position: sticky;
    top: 0;
	width: 100%;
	background-color: #fff;
	z-index: 99999;
}

nav#sticky-navigation {
	top: 30px !important;
	margin: 0 !important;
}

nav#sticky-navigation .navigation-branding {
	width: 275px;
	padding: 0;
}


nav#sticky-navigation .navigation-branding img {
	padding-top: 0;
}

@media (max-width: 1024px) {
nav#sticky-navigation {
	top: 30px !important;
}
}

nav#sticky-navigation .sticky-navigation-logo img {
	height: auto;
}

.no-underline span.gb-headline-text {
    text-decoration: none;
}

.no-underline span.gb-headline-text a {
    text-decoration: none !important;
}

img.footer-logo {
	width: auto;
	max-height: 95px;
}


@media (min-width: 1024px) {
img.footer-logo {
	max-height: 125px;
}
}


body.error404 .inside-article {
	text-align: center;
}


.gb-grid-wrapper-4d290e0e,
.gb-grid-wrapper-6820afa2 {
	margin-left: 0 !important;
}
.gb-grid-wrapper-4d290e0e > .gb-grid-column,
.gb-grid-wrapper-6820afa2 > .gb-grid-column {
	padding-left: 0 !important;
}

.gb-grid-wrapper-6820afa2 > .gb-grid-column {
	padding-right: 50px;
}

@media (max-width: 768px) {
.gb-grid-wrapper-6820afa2 > .gb-grid-column {
	padding-right: 0px;
}
}

form.fluent_form_3 .wpf_has_custom_css.ff-btn-submit {
	font-family: Poppins, sans-serif;
  font-size: 16px;
  font-weight: 600;
  text-transform: capitalize;
}
